package inference

import (
	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/logic/inference"
	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/svc"
	"gitlink.org.cn/JointCloud/pcm-coordinator/pkg/repository/result"
	"net/http"
)

func ModelTypesHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := inference.NewModelTypesLogic(r.Context(), svcCtx)
		resp, err := l.ModelTypes()
		result.HttpResult(r, w, resp, err)
	}
}
